org.eclipse.viatra.cep.core.metamodels.trace

## Interface TracePackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TracePackageImpl

      public interface TracePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `TraceFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TracePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TracePackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `TIMED_ZONE_TRACE` The meta object id for the '`Timed Zone Trace`' class.
    `static int` | `TIMED_ZONE_TRACE__TIMED_ZONE` The feature id for the 'Timed Zone' reference.
    `static int` | `TIMED_ZONE_TRACE__TRANSITION` The feature id for the 'Transition' reference.
    `static int` | `TIMED_ZONE_TRACE_FEATURE_COUNT` The number of structural features of the 'Timed Zone Trace' class.
    `static int` | `TIMED_ZONE_TRACE_OPERATION_COUNT` The number of operations of the 'Timed Zone Trace' class.
    `static int` | `TRACE` The meta object id for the '`Trace`' class.
    `static int` | `TRACE__AUTOMATON` The feature id for the 'Automaton' reference.
    `static int` | `TRACE__EVENT_PATTERN` The feature id for the 'Event Pattern' reference.
    `static int` | `TRACE_FEATURE_COUNT` The number of structural features of the 'Trace' class.
    `static int` | `TRACE_MODEL` The meta object id for the '`Model`' class.
    `static int` | `TRACE_MODEL__TIMED_ZONE_TRACES` The feature id for the 'Timed Zone Traces' reference list.
    `static int` | `TRACE_MODEL__TRACES` The feature id for the 'Traces' containment reference list.
    `static int` | `TRACE_MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class.
    `static int` | `TRACE_MODEL_OPERATION_COUNT` The number of operations of the 'Model' class.
    `static int` | `TRACE_OPERATION_COUNT` The number of operations of the 'Trace' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getTimedZoneTrace_TimedZone()` Returns the meta object for the reference '`Timed Zone`'.
    `org.eclipse.emf.ecore.EReference` | `getTimedZoneTrace_Transition()` Returns the meta object for the reference '`Transition`'.
    `org.eclipse.emf.ecore.EClass` | `getTimedZoneTrace()` Returns the meta object for class '`Timed Zone Trace`'.
    `org.eclipse.emf.ecore.EReference` | `getTrace_Automaton()` Returns the meta object for the reference '`Automaton`'.
    `org.eclipse.emf.ecore.EReference` | `getTrace_EventPattern()` Returns the meta object for the reference '`Event Pattern`'.
    `org.eclipse.emf.ecore.EClass` | `getTrace()` Returns the meta object for class '`Trace`'.
    `TraceFactory` | `getTraceFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EReference` | `getTraceModel_TimedZoneTraces()` Returns the meta object for the reference list '`Timed Zone Traces`'.
    `org.eclipse.emf.ecore.EReference` | `getTraceModel_Traces()` Returns the meta object for the containment reference list '`Traces`'.
    `org.eclipse.emf.ecore.EClass` | `getTraceModel()` Returns the meta object for class '`Model`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final TracePackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### TRACE_MODEL

          static final int TRACE_MODEL

      The meta object id for the '`Model`' class.
      See Also:
        `TraceModelImpl`, `TracePackageImpl.getTraceModel()`, Constant Field Values
      Generated:

    - #### TRACE_MODEL__TRACES

          static final int TRACE_MODEL__TRACES

      The feature id for the 'Traces' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE_MODEL__TIMED_ZONE_TRACES

          static final int TRACE_MODEL__TIMED_ZONE_TRACES

      The feature id for the 'Timed Zone Traces' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE_MODEL_FEATURE_COUNT

          static final int TRACE_MODEL_FEATURE_COUNT

      The number of structural features of the 'Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE_MODEL_OPERATION_COUNT

          static final int TRACE_MODEL_OPERATION_COUNT

      The number of operations of the 'Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE

          static final int TRACE

      The meta object id for the '`Trace`' class.
      See Also:
        `TraceImpl`, `TracePackageImpl.getTrace()`, Constant Field Values
      Generated:

    - #### TRACE__EVENT_PATTERN

          static final int TRACE__EVENT_PATTERN

      The feature id for the 'Event Pattern' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE__AUTOMATON

          static final int TRACE__AUTOMATON

      The feature id for the 'Automaton' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE_FEATURE_COUNT

          static final int TRACE_FEATURE_COUNT

      The number of structural features of the 'Trace' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TRACE_OPERATION_COUNT

          static final int TRACE_OPERATION_COUNT

      The number of operations of the 'Trace' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE_TRACE

          static final int TIMED_ZONE_TRACE

      The meta object id for the '`Timed Zone Trace`' class.
      See Also:
        `TimedZoneTraceImpl`, `TracePackageImpl.getTimedZoneTrace()`, Constant Field Values
      Generated:

    - #### TIMED_ZONE_TRACE__TIMED_ZONE

          static final int TIMED_ZONE_TRACE__TIMED_ZONE

      The feature id for the 'Timed Zone' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE_TRACE__TRANSITION

          static final int TIMED_ZONE_TRACE__TRANSITION

      The feature id for the 'Transition' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE_TRACE_FEATURE_COUNT

          static final int TIMED_ZONE_TRACE_FEATURE_COUNT

      The number of structural features of the 'Timed Zone Trace' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMED_ZONE_TRACE_OPERATION_COUNT

          static final int TIMED_ZONE_TRACE_OPERATION_COUNT

      The number of operations of the 'Timed Zone Trace' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

  - ### Method Detail

    - #### getTraceModel

          org.eclipse.emf.ecore.EClass getTraceModel()

      Returns the meta object for class '`Model`'.
      Returns:
        the meta object for class 'Model'.
      See Also:
        `TraceModel`
      Generated:

    - #### getTraceModel_Traces

          org.eclipse.emf.ecore.EReference getTraceModel_Traces()

      Returns the meta object for the containment reference list '`Traces`'.
      Returns:
        the meta object for the containment reference list 'Traces'.
      See Also:
        `TraceModel.getTraces()`, `getTraceModel()`
      Generated:

    - #### getTraceModel_TimedZoneTraces

          org.eclipse.emf.ecore.EReference getTraceModel_TimedZoneTraces()

      Returns the meta object for the reference list '`Timed Zone Traces`'.
      Returns:
        the meta object for the reference list 'Timed Zone Traces'.
      See Also:
        `TraceModel.getTimedZoneTraces()`, `getTraceModel()`
      Generated:

    - #### getTrace

          org.eclipse.emf.ecore.EClass getTrace()

      Returns the meta object for class '`Trace`'.
      Returns:
        the meta object for class 'Trace'.
      See Also:
        `Trace`
      Generated:

    - #### getTrace_EventPattern

          org.eclipse.emf.ecore.EReference getTrace_EventPattern()

      Returns the meta object for the reference '`Event Pattern`'.
      Returns:
        the meta object for the reference 'Event Pattern'.
      See Also:
        `Trace.getEventPattern()`, `getTrace()`
      Generated:

    - #### getTrace_Automaton

          org.eclipse.emf.ecore.EReference getTrace_Automaton()

      Returns the meta object for the reference '`Automaton`'.
      Returns:
        the meta object for the reference 'Automaton'.
      See Also:
        `Trace.getAutomaton()`, `getTrace()`
      Generated:

    - #### getTimedZoneTrace

          org.eclipse.emf.ecore.EClass getTimedZoneTrace()

      Returns the meta object for class '`Timed Zone Trace`'.
      Returns:
        the meta object for class 'Timed Zone Trace'.
      See Also:
        `TimedZoneTrace`
      Generated:

    - #### getTimedZoneTrace_TimedZone

          org.eclipse.emf.ecore.EReference getTimedZoneTrace_TimedZone()

      Returns the meta object for the reference '`Timed Zone`'.
      Returns:
        the meta object for the reference 'Timed Zone'.
      See Also:
        `TimedZoneTrace.getTimedZone()`, `getTimedZoneTrace()`
      Generated:

    - #### getTimedZoneTrace_Transition

          org.eclipse.emf.ecore.EReference getTimedZoneTrace_Transition()

      Returns the meta object for the reference '`Transition`'.
      Returns:
        the meta object for the reference 'Transition'.
      See Also:
        `TimedZoneTrace.getTransition()`, `getTimedZoneTrace()`
      Generated:

    - #### getTraceFactory

          TraceFactory getTraceFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: